xpath_memory_block Struct Reference
Collaboration diagram for xpath_memory_block:
[legend]

## Public Attributes

xpath_memory_block * | next
size_t | capacity
char | data [4096]

## Detailed Description

Definition at line 6186 of file pugixml.cpp.

## Member Data Documentation

## capacity

size_t xpath_memory_block::capacity

Definition at line 6189 of file pugixml.cpp.

Referenced by xpath_allocator::allocate_nothrow(), xpath_query_impl::xpath_query_impl(), and xpath_stack_data::xpath_stack_data().

## data

char xpath_memory_block::data[ 4096]

Definition at line 6197 of file pugixml.cpp.

Referenced by xpath_allocator::allocate_nothrow(), xpath_allocator::reallocate(), xpath_query_impl::xpath_query_impl(), and xpath_stack_data::xpath_stack_data().

## next

xpath_memory_block* xpath_memory_block::next

Definition at line 6188 of file pugixml.cpp.

Referenced by xpath_allocator::allocate_nothrow(), xpath_allocator::reallocate(), xpath_allocator::release(), xpath_allocator::revert(), xpath_query_impl::xpath_query_impl(), and xpath_stack_data::xpath_stack_data().

The documentation for this struct was generated from the following file:

- pugixml.cpp